Groovy 1.7.0

## groovy.swing.factory
Class FrameFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RootPaneContainerFactory
              groovy.swing.factory.FrameFactory

    class FrameFactory
    extends RootPaneContainerFactory

Constructor Summary
`FrameFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `setChild(FactoryBuilderSupport build, Object parent, Object child)`

Methods inherited from class RootPaneContainerFactory
handleRootPaneTasks, onNodeCompleted, setChild

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### FrameFactory

    FrameFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### setChild

    public void setChild(FactoryBuilderSupport build, Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.